import { CoordMap } from 'lib/Utils/CoordMap';
export interface PortalSet {
    room1: string;
    room2: string;
    expires?: number;
    portalMap: CoordMap;
}
export declare const portalSets: Map<string, Map<string, PortalSet>>;
/**
 * Portal sets are linked both ways, so
 * .get(origin).get(destination) === .get(destination).get(origin)
 * (but the `room1` and `room2` don't necessarily correspond to the lookup order)
 */
export declare function scanPortals(room: string): void;
export declare function cachePortals(): void;
export declare function describeExitsWithPortals(room: string): string[];
