/// <reference types="screeps" />
import { TestResult } from '../tests';
export declare abstract class CartographerTestCase {
    retries: number;
    timeout: number;
    started: number | undefined;
    constructor();
    toString(): string;
    testRegion: {
        w: number;
        h: number;
    };
    testRegionOrigin: RoomPosition | undefined;
    _spawn: Id<StructureSpawn>;
    get spawn(): StructureSpawn;
    _creeps: Record<string, string>;
    get creeps(): Record<string, Creep>;
    run(): TestResult;
    setup(): TestResult;
    /**
     * Runs when a creep has been spawned
     */
    test(): TestResult;
    cleanup(): void;
    reset(): void;
    visualize(): void;
}
